Package org.eclipse.m2m.atl.core.ant

## Class ProjectLogHandler

- java.lang.Object
- - java.util.logging.Handler
  - - org.eclipse.m2m.atl.core.ant.ProjectLogHandler

    public class ProjectLogHandler
    extends java.util.logging.Handler

Log handler for ATL messages during build.

### Constructor Summary

Constructors
`ProjectLogHandler​(org.apache.tools.ant.Project project)` Cosntructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`void` `publish​(java.util.logging.LogRecord record)`

### Methods inherited from class java.util.logging.Handler

`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, isLoggable, reportError, setEncoding, setErrorManager, setFilter, setFormatter, setLevel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProjectLogHandler

    public ProjectLogHandler​(org.apache.tools.ant.Project project)

Cosntructor.

Parameters:
  `project` - the current project

### Method Detail

#### close

    public void close()
               throws java.lang.SecurityException

Specified by:
  `close` in class `java.util.logging.Handler`
Throws:
  `java.lang.SecurityException`
See Also:
  `Handler.close()`

#### flush

    public void flush()

Specified by:
  `flush` in class `java.util.logging.Handler`
See Also:
  `Handler.flush()`

#### publish

    public void publish​(java.util.logging.LogRecord record)

Specified by:
  `publish` in class `java.util.logging.Handler`
See Also:
  `Handler.publish(java.util.logging.LogRecord)`